# Manual de usuario de &kde;

Darian
Lanx

    content@openprojects.net

2010-01-04
1.1 (&kde; 4.4)
kbuildsycoca4
8

# `kbuildsycoca4`

Reconstruye el sistema de configuración de caché.

## Resumen

    kbuildsycoca4  --nosignal --noincremental --checkstamps --nocheckfiles --global --menutest --track menu-id --help --help-qt --help-kde --help-all --author -v, --version --license

## Descripción

`kbuildsycoca4`, como parte de las herramientas de la línea de órdenes de &kde; asegura el correcto funcionamiento de &kde; leyendo en todos los archivos `.desktop`, `.xml` y `.protocol` para construir una base de datos binaria.

&kde; accede a esta base de datos durante la operación para proporcionar información de configuración que un programa necesita para ejecutarse.

Esta herramienta es parte de ksycoca4, que se incluye como caché de la configuración del sistema de &kde;

## Opciones

`--nosignal`

  Aplicaciones sin señal para actualizar

`--noincremental`

  Desactivar actualización incremental, volver a leer todo

`--checkstamps`

  Comprobar la marca de hora de los archivos

`--nocheckfiles`

  Desactivar la comprobación de archivos (peligroso)

`--global`

  Crear base de datos global

`--menutest`

  Ejecutar sólo la prueba de generación de menús

`--track menu-id`

  Rastrear el id. de menú para depuración

`--help`

  Muestra ayuda sobre las opciones

`--help-qt`

  Muestra las opciones específicas de Qt

`--help-kde`

  Muestra opciones específicas de KDE

`--help-all`

  Muestra todas las opciones

`--author`

  Muestra información del autor

`-v , --version`

  Muestra información de la versión

`--license`

  Muestra información de la licencia

## Utilización

Una forma estándar para ejecutar este programa es escribir ```kbuildsycoca4` en la línea de órdenes

## Archivos

`/var/tmp/kde-$USER/ksycoca4`

  El directorio predeterminado en el que se almacenan los archivos de caché.

## Variables de entorno

$`KDEDIRS`

  Especifica qué directorios son parte de las instalaciones KDE

## Consulte también

kdeinit4

## Fallos

Seguramente existan montones de errores, Acceda a bugs.kde.org para informar sobre ellos.